# Gimp.context_set_sample_merged

    @accepts(bool)
    @returns(bool)
    def context_set_sample_merged(sample_merged):
        # Python wrapper for gimp_context_set_sample_merged()

Set the sample merged setting.

Modifies the sample merged setting. If an operation depends on the colors of the pixels present in a drawable, like when doing a seed fill, this setting controls whether the pixel data from the given drawable is used ('sample-merged' is FALSE), or the pixel data from the composite image ('sample-merged' is TRUE. This is equivalent to sampling for colors after merging all visible layers).

This setting affects the following procedures: Gimp.Image.select_color, Gimp.Image.select_contiguous_color, Gimp.Drawable.edit_bucket_fill.

Since 2.8

sample_merged

  The sample merged setting.

Returns